/*
 * $Id: ball.h,v 1.1.1.1 2002/05/04 09:19:08 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Ball data.
 *
 * @version $Revision: 1.1.1.1 $
 */
#include "vector.h"

#define BALL_MAX 32
#define BALL1_MAX 20
#define BALL2_MAX 9
#define BALL3_MAX 3

typedef struct {
  Vector pos, vel, prvPos;
  int radius;
  int rdSpc;
  int color;
  int sprIdx;
  int velMxL, velMxR;
  int whCnt;
} Ball;

extern int ballNum;

void initBalls();
void clearBalls();
void moveBalls();
void addBall(int color, int rdSpc, long x, long y, int mx, int my);
