/*
 * $Id: stagemng.h,v 1.1.1.1 2002/05/04 09:19:09 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Stage data.
 *
 * @version $Revision: 1.1.1.1 $
 */
#define STAGE_WIDTH 18
#define STAGE_HEIGHT 26
#define SPOT_WIDTH 18
#define SPOT_HEIGHT 28

#define BALL_APP_MAX 32

extern int block[STAGE_WIDTH][STAGE_HEIGHT];

void initStage();
void setStage(int n);
void setSpotChar(int x, int y);
void addSpot(int x, int y, int c);
void startBrush();
void moveBrush();
